Linux Lite Forums

Software - Support => Installing Software => Topic started by: iwar on December 03, 2014, 03:04:57 AM

Title: [SOLVED] Error when installing additional software (LL 2.2)
Post by: iwar on December 03, 2014, 03:04:57 AM
Hi
I installed 32b LL2.2 and having problems with that prog it says all program installed but they are not. and it force me to do update.  Is ther only i who have that prob?
Title: Re: install additional software 2.2
Post by: TMG1961 on December 03, 2014, 04:18:08 AM
I have the same on LL2.2 64bit. Also had it on LL2.0
Title: Re: install additional software 2.2
Post by: Jerry on December 03, 2014, 06:22:47 AM
If you haven't updated, then the program will ask you to update. This is necessary to return an accurate list.
People need to remember...install Linux Lite, then Install Updates. This has been mentioned repeatedly over time. Cheers :)
Title: Re: install additional software 2.2
Post by: TMG1961 on December 03, 2014, 07:44:01 AM
I get that message everytime. I get it even if i first do a update and then try, still get the message that i need to upgrade first.
Title: Re: install additional software 2.2
Post by: Jerry on December 03, 2014, 07:58:19 AM
Can you post a screenshot of your desktop with the error and with a terminal open.
Title: Re: install additional software 2.2
Post by: TMG1961 on December 03, 2014, 08:12:45 AM
Hope this works. I started the update and then used install additional software, entered password and then get the message asking me if i want to update.


(http://i919.photobucket.com/albums/ad37/TMG1961/Screenshot-03-12-14-140742.png)
Title: Re: install additional software 2.2
Post by: Jerry on December 03, 2014, 08:15:36 AM
If you have Temaviewer installed, can you pm your id and password and I'll take a look for you.
Title: Re: install additional software 2.2
Post by: TMG1961 on December 03, 2014, 08:21:11 AM
If you have Temaviewer installed, can you pm your id and password and I'll take a look for you.

Dont have that installed. Tried installing iut but got a message about a few things that it needs but wont get installed. Will have a look at it and see if i get it installed.
Title: Re: install additional software 2.2
Post by: TMG1961 on December 03, 2014, 11:02:27 AM
Had an unexpected hard drive crash, was lucky to have an old hd lying around and installed LL2.2 fresh onto that drive.
Unfortunate the error is still there, but got teamviewer installed. Just let me know when you want to have a look
Title: Re: install additional software 2.2
Post by: bobw on December 03, 2014, 11:45:29 AM
Hi TMG1961.  Have you tried the Reload button (top left of screen) in Synaptic?  I think the message you're getting may refer to that, rather than the LL Updates routine.
Title: Re: install additional software 2.2
Post by: TMG1961 on December 03, 2014, 11:52:21 AM
Hi TMG1961.  Have you tried the Reload button (top left of screen) in Synaptic?  I think the message you're getting may refer to that, rather than the LL Updates routine.

Hi bobw. Yes i tried the reload button but it doesnt make any difference, i still keep getting the same message
Title: Re: install additional software 2.2
Post by: iwar on December 03, 2014, 06:37:44 PM
I have teamviewer 9
 I updated LL than the first thing, i did i installed Clementine and teamviewer than i tryed ll 2.2 a while  ca 120 minutes then i tryed additional again then everything is markt installed but synaptic works fine i installed nfs support today and mounted my freeNas service. I had that additional prob even at my sisters comp.

so we could try Teamviewer, but when, i think my we have a big timediffrens here its bedtime no 00:35 so goodnight
Title: Re: install additional software 2.2
Post by: TMG1961 on December 04, 2014, 02:13:18 AM
I dont have a clue what triggers everything to be marked as installed and gives the pop-up message that you need to update first. Just after the installation of LL2.2 it was ok, i only installed chromium, deluge and teamviewer (hadnt had that previous). When i try to install something now it says that its already installed..all is marked as installed even though most isnt.


Its 08:13 here at the moment of posting this
Title: Re: install additional software 2.2
Post by: sysdrum on December 04, 2014, 02:55:03 AM
Have you tried open terminal and running
Code: [Select]
sudo apt-get autoremove and see if the system removes any odd unused decencies that my be hanging up the system in the update.
If not I know you probably already tried this but try just running
Code: [Select]
sudo apt-get updatewithout an upgrade if that goes through but the system is still not doing what is soppose to try
Code: [Select]
sudo apt-get install -f there could be a broken install in the mix that should correct it, or atleast let you know if something else is going on.
Title: Re: install additional software 2.2
Post by: TMG1961 on December 04, 2014, 03:50:26 AM
Have you tried open terminal and running
Code: [Select]
sudo apt-get autoremove and see if the system removes any odd unused decencies that my be hanging up the system in the update.
If not I know you probably already tried this but try just running
Code: [Select]
sudo apt-get updatewithout an upgrade if that goes through but the system is still not doing what is soppose to try
Code: [Select]
sudo apt-get install -f there could be a broken install in the mix that should correct it, or atleast let you know if something else is going on.


Just done all 3 but hasnt changed a thing. No broken installs or anything else that wasnt correct
Title: Re: install additional software 2.2
Post by: Jerry on December 04, 2014, 03:56:10 AM
I'm available for Teamviewer in the next hour or so if you like TMG1961
Title: Re: install additional software 2.2
Post by: TMG1961 on December 04, 2014, 04:03:49 AM
I'm available for Teamviewer in the next hour or so if you like TMG1961

I'm available for Teamviewer in the next hour or so if you like TMG1961

did send you a pm
Title: Re: install additional software 2.2
Post by: Jerry on December 04, 2014, 05:09:12 AM
Ok folks, I have found the issue here. If you install another language, Install Additional Software will ask for Updates each time, and show everything as installed. So we need to fix this. Thank you for the bug report and keep an eye on the Forums for a fix. Cheers :)
Title: Re: install additional software 2.2
Post by: TMG1961 on December 04, 2014, 06:52:39 AM
As agreed earlier I installed LL2.2 32 bit, installed additional software, kept default language, set up mail account and added weather indicator. Did a few reboots and up to now all is working ok
Title: Re: install additional software 2.2
Post by: Wirezfree on December 04, 2014, 07:09:24 AM
Now this is what I call support....

TMG1961...
Great work for persevering, and working with Jerry...
Some people may have just give up and moved on to another distro out of frustration.

Jerry...
Hat's off to you for the support, not sure how many other Distro-Devs would have gone that extra mile.

Dave
Title: Re: install additional software 2.2
Post by: sysdrum on December 04, 2014, 09:20:34 AM
Interesting so
Code: [Select]
sudo apt-get install -f should have thrown an error if there was a broken language dependency. Do we have any weird output?
Title: Re: install additional software 2.2
Post by: TMG1961 on December 04, 2014, 09:25:05 AM
Interesting so
Code: [Select]
sudo apt-get install -f should have thrown an error if there was a broken language dependency. Do we have any weird output?

No, gave no errors
Title: Re: install additional software 2.2
Post by: iwar on December 04, 2014, 10:20:58 AM
what is your time right now here its 16:20

ok!
 did not see page 2 when i posted
Title: Re: install additional software 2.2
Post by: Wirezfree on December 04, 2014, 11:48:36 AM
Hi iwar,

I'm sure Jerry is in New Zealand:
http://www.timeanddate.com/worldclock/new-zealand/auckland (http://www.timeanddate.com/worldclock/new-zealand/auckland)
Title: Re: install additional software 2.2
Post by: TMG1961 on December 04, 2014, 12:17:46 PM
what is your time right now here its 16:20

ok!
 did not see page 2 when i posted

we are in the same timezone
Title: Re: install additional software 2.2
Post by: iwar on December 04, 2014, 01:25:40 PM
Yes TMG1961 but Jerry is not in the same zon
Title: Re: install additional software 2.2
Post by: TMG1961 on December 04, 2014, 02:57:26 PM
Yes TMG1961 but Jerry is not in the same zon

No i think he is just getting out of bed at this moment..guess he is about 12 hours ahead of us
Title: Re: install additional software 2.2
Post by: sysdrum on December 04, 2014, 03:26:10 PM

So why is a grep command?
Code: [Select]
test_appletrailers1=(`apt-cache policy totem-mozilla | grep "Installed:"`)Before this command?
Code: [Select]
if [ "${PIPESTATUS[0]}" -ne "0" ]; then
                    if zenity --question --title=Update --text="You must update package lists before using this tool\nDo you want to update?"
                    then
                                    sudo apt-get update | zenity --progress --text="Updating package lists..." --title="Please wait" --pulsate --auto-close
                                     if [ "${PIPESTATUS[0]}" -ne "0" ]; then
                                                zenity --error --title="Error" --text="Updating package lists has failed."
                                                exit
                                     fi
         
                    else                            exit


In the script it makes a grep call before a zenity call, could the grep cause a fault if there is an error in the grep?


I pulled the code from both the Git and in usr/scripts/lite-software on a current 32 and 64.
I am not sure if that could be the problem but when I removed it the error went away on the 32 bit and 64 bit when another installed language was present. But I am not sure that is the complete issue.

Title: Re: install additional software 2.2
Post by: TMG1961 on December 05, 2014, 03:53:01 AM
Should i change the default language to Dutch to see if the error pops up? Or do you want to take a look yourself Jerry?
Title: Re: install additional software 2.2
Post by: TMG1961 on December 05, 2014, 04:11:52 PM
Thought i give it a try. Changed language to Dutch, logged out and back in again and tried to install additional software and got the pop up that i needed to update first. Changed the language back to English and logged out and in again and no pop up when i tried to install additional software.
Title: Re: install additional software 2.2
Post by: misko_2083 on December 05, 2014, 06:23:37 PM
Sorry to keep you waiting, I've been busy.
I've made the changes to more than 100 files and pushed them to github.
Jerry will inspect the code and test the new version. If all goes well, new version will be out soon.
Title: Re: install additional software 2.2
Post by: TMG1961 on December 06, 2014, 04:09:01 AM
Sorry to keep you waiting, I've been busy.
I've made the changes to more than 100 files and pushed them to github.
Jerry will inspect the code and test the new version. If all goes well, new version will be out soon.

No problem at all..i just tested it out and it did what i thought it would do. Got the language back to English and all works fine again.
Title: Re: install additional software 2.2
Post by: Jerry on December 06, 2014, 04:14:22 AM
We're currently working on new code and testing fully, as a result there may be a bit of a wait before it's ready. I'd rather take a bit longer and get it right.
Title: Re: install additional software 2.2
Post by: TMG1961 on December 06, 2014, 04:17:51 AM
We're currently working on new code and testing fully, as a result there may be a bit of a wait before it's ready. I'd rather take a bit longer and get it right.

I understand, its no problem.
Title: Re: install additional software 2.2
Post by: iwar on December 14, 2014, 04:08:18 PM
Where to look for the new cod and when? I run LL in English meanwhile .

Title: Re: install additional software 2.2
Post by: Wirezfree on December 14, 2014, 04:23:35 PM
Hi,

I assume it is this... http://www.bankid.com/en/what-is-bankid/ (http://www.bankid.com/en/what-is-bankid/)
Yes, they seem to be pushing Windows Installer, only because most people have Windows.

Maybe all is not lost.??
Take a look at this: https://fribid.se/index.en.html (https://fribid.se/index.en.html)
There appears to be an Ubuntu version under downloads,
You may need some guidance on installing it..??

There maybe more to Google for.

Dave
Title: Re: install additional software 2.2
Post by: iwar on January 04, 2015, 02:11:57 PM
Jerry wrote:
We're currently working on new code and testing fully, as a result there may be a bit of a wait before it's ready. I'd rather take a bit longer and get it right.

So how is it going and where do i look for it?